SDL_SetLinuxThreadPriority(3)

NAME
SDL_SetLinuxThreadPriority - Sets the UNIX nice value for a thread.

SYNOPSIS
#include <SDL3/SDL_system.h>

bool SDL_SetLinuxThreadPriority(Sint64 threadID, int priority);

DESCRIPTION
This uses setpriority() if possible, and RealtimeKit if available.

FUNCTION PARAMETERS

threadID
    the Unix thread ID to change priority of.

priority
    the new, Unix-specific, priority value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.